<?php
header("Content-type:text/html; charset=gb2312");
$doc = "/usr/logd/www";
$tempfile_dir = "/usr/logdata/tmp";
$hours = $argv[2];

if (!file_exists($tempfile_dir))
mkdir($tempfile_dir);

include("$doc/common.php");
date_default_timezone_set('PRC');
set_time_limit(0);
ini_set("memory_limit", -1);

require_once('chinese.php');
require_once ($doc.'/jpgraph/jpgraph.php');
require_once ($doc.'/jpgraph/jpgraph_bar.php');
require_once ($doc.'/jpgraph/jpgraph_pie.php');
require_once ($doc.'/jpgraph/jpgraph_pie3d.php');

class PDF extends PDF_Chinese{}

$devid = 0;
$ip = "0.0.0.0-255.255.255.255";
$strend = date('Y-m-d')." 00:00:00";
$strstart = date('Y-m-d H:i:s', strtotime($strend) - $hours * 3600);
$top = 20;
$errfile = _CHECKING_STATUS_F.'/ss.st';

$longstart = strtotime($strstart);
$longend = strtotime($strend);

$pdf=new PDF('P', 'mm', 'A4');

$pdf->Open();
$pdf->SetMargins(5, 5, 5);
$pdf->AddPage();
$pdf->SetDisplayMode('real');
$pdf->AddGBFont();

$pdf->SetFont('GB', 'B', 25);
$pdf->SetXY(57, 70);
$pdf->Cell(40,10, '־ϵͳ');
$pdf->Ln();
$pdf->SetX(80);
$pdf->Cell(40,10,'('.date('Y/m/d').')');
$pdf->Ln();
$pdf->Image($doc.'/img/logo.jpg', 75, 90, 50, 15);

$pdf->SetFont('GB', '', 14);
$pdf->Ln(50);

$pdf->SetX(60);
$pdf->Cell(40, 10, '豸ţ');
if ($devid == 0)
    $pdf->Cell(40, 10, "豸");
else $pdf->Cell(40,10, $devid);
$pdf->Ln();
$pdf->SetX(60);
$pdf->Cell(40, 10, 'ͳʱΣ');
$pdf->Cell(40, 10, date('Y/m/d H:i', $longstart).'-'.date('Y/m/d H:i', $longend));
$pdf->Ln();
$pdf->SetX(60);
$pdf->Cell(40, 10, 'ʱ䣺');
$pdf->Cell(40, 10, date('Y/m/d H:i'), 0,1,'L',false);

$dwidth = array(10, 28, 18, 18, 18, 18, 18, 18, 18, 18, 18);
$arcolors = array("#068BC5","#4EB133","#E6561C","#E6EB01","#24C8E3","#62E172","#F7EE64","#69F5C3","#ACDBFD","#C6C9CA", "#F68F67","#CDE577","#710000","#5D584B","#4572A7");

$pdf->AddPage();

$tablefile = php_getiptable($strstart, $strend, $devid);

exec(LOGDPATH."/bin/logeye iptop $devid $ip $longstart $longend $tablefile $top total $errfile", $output, $return);
$xlabels = array();
$yvalues = array();
foreach($output as $key=>$val){
    $ds = explode(' ', $val);
    if ($ds[0] == "0.0.0.0") continue;

    array_push($xlabels, $ds[0]);
    array_push($yvalues, (double)$ds[1] / 1000 / 1000);
}

if (count($yvalues) != 0) {
    $graph = new Graph(1000,300);
    $graph->SetScale("textlin");
    $graph->img->SetMargin(50,50,10,100);
    $graph->title->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->xaxis->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->title->Set("(λ:M)");

    $graph->ygrid->SetFill(false);
    $graph->xaxis->SetLabelAngle(50);
    $graph->xaxis->SetTickLabels($xlabels);

    $graph->yaxis->HideLine(false);
    $graph->yaxis->HideTicks(false,false);
    $bplot = new BarPlot($yvalues);
    $bplot->SetFillColor($arcolors);
    $graph->Add($bplot);
    $graph->Stroke($doc."/download/iptotal.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'ûͳ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/iptotal.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    unlink($doc.'/download/iptotal.png');
    $pdf->Ln();
    $pdf->SetY(110);

    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);

    $pdf->Cell(10, 14, "", 1, 0, 'C', true);
    $pdf->Cell(28, 14, "û", 1, 0, 'C', true);
    $pdf->Cell(54, 7, "ֽڣ", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ƽʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ֵʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Ln();
    $pdf->SetTextColor(0, 0,0);
    foreach($output as $key=>$val){
        $ds = explode(' ', $val);
        if ($ds[0] == "0.0.0.0") continue;

        $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, $ds[0], 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[2]), 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[3]), 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[1]), 1, 0, 'C');
        $pdf->Cell($dwidth[5], 7, dataformat((double)$ds[2]*8/$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[6], 7, dataformat((double)$ds[3]*8/$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[1]*8/$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[8], 7, dataformat((double)$ds[6]*8/$ds[9]), 1, 0, 'C');
        $pdf->Cell($dwidth[9], 7, dataformat((double)$ds[7]*8/$ds[9]), 1, 0, 'C');
        $pdf->Cell($dwidth[10], 7, dataformat(((double)$ds[6]+(double)$ds[7])*8/$ds[9]), 1, 0, 'C');
        $pdf->Ln();
    }

    $pdf->AddPage();
}

unset($output);
unset($xlabels);
unset($yvalues);

$tablefile = php_getapptable($strstart, $strend);

exec(LOGDPATH."/bin/logeye apptop $devid $longstart $longend $tablefile $top total 0 $errfile", $output, $return);
$xlabels = array();
$yvalues = array();
foreach($output as $key=>$val){
    $ds = explode(' ', $val);

    array_push($xlabels, iconv('utf-8','gb2312',$ds[2]));
    array_push($yvalues, ((double)$ds[4]+(double)$ds[5]) / 1000 / 1000);
}

if (count($yvalues) != 0) {
    $graph = new Graph(1000,300,'auto');
    $graph->SetScale("textlin");
    $graph->img->SetMargin(50,50,10,100);
    $graph->title->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->xaxis->SetFont(FF_SIMSUN, FS_NORMAL);
    $graph->title->Set("(λ:M)");
    $graph->ygrid->SetFill(false);
    $graph->xaxis->SetLabelAngle(50);
    $graph->xaxis->SetTickLabels($xlabels);
    $graph->yaxis->HideLine(false);
    $graph->yaxis->HideTicks(false,false);
    $bplot = new BarPlot($yvalues);
    $bplot->SetFillColor($arcolors);
    $graph->Add($bplot);
    $graph->Stroke($doc."/download/apptotal.png");

    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'Ӧͳ');
    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/apptotal.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    unlink($doc.'/download/apptotal.png');
    $pdf->Ln();
    $pdf->SetY(110);

    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);

    $pdf->Cell(10, 14, "", 1, 0, 'C', true);
    $pdf->Cell(28, 14, "û", 1, 0, 'C', true);
    $pdf->Cell(54, 7, "ֽڣ", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ƽʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ֵʣbps", 1, 2, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Cell(18, 7, "", 1, 0, 'C', true);
    $pdf->Ln();
    $pdf->SetTextColor(0, 0,0);
    $pdf->SetFont('GB', '', 10);
    foreach($output as $key=>$val){
        $ds = explode(' ', $val);
        if ($ds[0] == "0.0.0.0") continue;

        $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, iconv('utf-8','gb2312',$ds[2]), 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[5]), 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[4]+(double)$ds[5]), 1, 0, 'C');
        $pdf->Cell($dwidth[5], 7, dataformat((double)$ds[4]*8/(int)$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[6], 7, dataformat((double)$ds[5]*8/(int)$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat(((double)$ds[4]+(double)$ds[5])*8/(int)$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[8], 7, dataformat((double)$ds[6]*8/(int)$ds[9]), 1, 0, 'C');
        $pdf->Cell($dwidth[9], 7, dataformat((double)$ds[7]*8/(int)$ds[9]), 1, 0, 'C');
        $pdf->Cell($dwidth[10], 7, dataformat(((double)$ds[6]+(double)$ds[7])*8/(int)$ds[9]), 1, 0, 'C');
        $pdf->Ln();
    }

    $pdf->AddPage();
}

$pdf->SetFont('GB', 'B', 14);
$pdf->Cell(40, 10, 'ֲ');

unset($output);
unset($xlabels);
unset($yvalues);

$tablefile = php_getapptable($strstart, $strend);

exec(LOGDPATH."/bin/logeye appgroup $devid 1044 $longstart $longend $tablefile apptotal 0 $errfile", $output2, $return);

$xlabels = array();
$yvalues = array();
$num_zero_apppie = 0;

foreach($output2 as $key=>$val){
    $ds = explode(' ', $val);

    $s = ((double)$ds[3]+(double)$ds[4]) / 1000 / 1000;

    array_push($xlabels, iconv('utf-8','gb2312',$ds[2]));
    array_push($yvalues, $s);

    if ($s == 0)
        $num_zero_apppie++;
}

if ($num_zero_apppie != count($output2)) {
    $graph = new PieGraph(600,350);
    $graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

    $p1 = new PiePlot($yvalues);
    $p1->SetSize(0.4);
    $p1->SetCenter(0.35,0.5);
    $p1->SetLegends($xlabels);
    $p1->SetSliceColors($arcolors);
    $graph->Add($p1);
    $graph->Stroke($doc."/download/apppie.png");

    $pdf->Ln();
    $pdf->Ln();
    $pdf->Image($doc.'/download/apppie.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
    unlink($doc.'/download/apppie.png');
    $pdf->Ln();
    $pdf->SetY(110);
    $pdf->SetFillColor(58,110,165);
    $pdf->SetTextColor(255, 255,255);
    $pdf->SetFont('GB', 'B', 10);
    $pdf->Cell($dwidth[0], 14, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[1], 14, "Э", 1, 0, 'C', true);
    $pdf->Cell(15, 14, "", 1, 0, 'C', true);
    $pdf->Cell(54, 7, "ֽڣ", 1, 2, 'C', true);
    $pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
    $pdf->SetXY($pdf->GetX(), $pdf->GetY()-7);
    $pdf->Cell(54, 7, "ƽʣbps", 1, 2, 'C', true);
    $pdf->Cell($dwidth[5], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[6], 7, "", 1, 0, 'C', true);
    $pdf->Cell($dwidth[7], 7, "", 1, 0, 'C', true);
    $pdf->Ln();

    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFont('GB', '', 10);

    foreach($output2 as $key=>$val){
        $ds = explode(' ', $val);

        $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
        $pdf->Cell($dwidth[1], 7, iconv('utf-8','gb2312', $ds[2]), 1, 0, 'C');
        $pdf->Cell(15, 7, $ds[5], 1, 0, 'C');
        $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[3]), 1, 0, 'C');
        $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[3]+(double)$ds[4]), 1, 0, 'C');
        $pdf->Cell($dwidth[5], 7, dataformat((double)$ds[7]), 1, 0, 'C');
        $pdf->Cell($dwidth[6], 7, dataformat((double)$ds[8]), 1, 0, 'C');
        $pdf->Cell($dwidth[7], 7, dataformat((double)$ds[7]+(double)$ds[8]), 1, 0, 'C');

        $pdf->Ln();
    }

    unset($output);
    unset($xlabels);
    unset($yvalues);
    
    $pdf->AddPage();
}

$pdf->SetFont('GB', 'B', 14);
$pdf->Cell(40, 10, 'ֲ');
$pdf->Ln();
$pdf->Ln();
$xlabels = array();
$yvalues = array();
$yy_rows = array();

/*
if (file_exists(TEMP_FILE."/flowpie_list.txt"))
    $output = file(TEMP_FILE."/flowpie_list.txt");
*/
$now = strtotime("now");
$yes = $now - 24 * 3600;
$tbname = date("Ymd", $yes);

if ($hours == 168)
	$tbname = "week";
else if ($hours == 720)
	$tbname = "month";
	
$conn = mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
$cmd = "select appid, name, cname, dx_up, dx_down, lt_up, lt_down, yd_up, yd_down, tt_up, tt_down, qt_up, qt_down from flowpie.$tbname group by appid";
$result = mysql_query($cmd);
$numrows = mysql_num_rows($result);
if ($numrows > 0){
    $i = 0;
    $xdata = array("ȥ", "ȥͨ", "ȥƶ", "ȥͨ", "");
    $y1_up = $y2_up = $y3_up = $y4_up = $y5_up = 0;
    $y1_down = $y2_down = $y3_down = $y4_down = $y5_down = 0;
    while ($ds = mysql_fetch_row($result)) {
        $y1_up += (double)$ds[3];
        $y2_up += (double)$ds[5];
        $y3_up += (double)$ds[7];
        $y4_up += (double)$ds[9];
        $y5_up += (double)$ds[11];
        $y1_down += (double)$ds[4];
        $y2_down += (double)$ds[6];
        $y3_down += (double)$ds[8];
        $y4_down += (double)$ds[10];
        $y5_down += (double)$ds[12];
    }
	mysql_close($conn);
	
    array_push($yy_rows, array("cname"=>$xdata[0], "upbytes"=>$y1_up, "downbytes"=>$y1_down));
    array_push($yy_rows, array("cname"=>$xdata[1], "upbytes"=>$y2_up, "downbytes"=>$y2_down));
    array_push($yy_rows, array("cname"=>$xdata[2], "upbytes"=>$y3_up, "downbytes"=>$y3_down));
    array_push($yy_rows, array("cname"=>$xdata[3], "upbytes"=>$y4_up, "downbytes"=>$y4_down));
    array_push($yy_rows, array("cname"=>$xdata[4], "upbytes"=>$y5_up, "downbytes"=>$y5_down));

    $t = array();
    for ($i = 0; $i < count($yy_rows); $i++){
        for ($j = $i+1; $j < count($yy_rows); $j++){
            if ($yy_rows[$i]['upbytes']+$yy_rows[$i]['downbytes'] < $yy_rows[$j]['upbytes']+$yy_rows[$j]['downbytes']){
                $t = $yy_rows[$i];
                $yy_rows[$i] = $yy_rows[$j];
                $yy_rows[$j] = $t;
            }
        }
    }

    $znum = 0;
    foreach($yy_rows as $key=>$val) {
        $s = ((double)$val['upbytes']+(double)$val['downbytes']) / 1000 / 1000;

        array_push($xlabels, $val['cname']);
        array_push($yvalues, $s);

        if ($s == 0)
            $znum++;
    }

    if ($znum != count($yvalues)) {
        $graph = new PieGraph(600,350);
        $graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

        $p1 = new PiePlot($yvalues);
        $p1->SetSize(0.4);
        $p1->SetCenter(0.35,0.5);
        $p1->SetLegends($xlabels);
        $p1->SetSliceColors($arcolors);
        $graph->Add($p1);
        $graph->Stroke($doc."/download/flowpie.png");

        $pdf->Image($doc.'/download/flowpie.png', $pdf->GetX(), $pdf->GetY(), 200, 80);
        unlink($doc.'/download/flowpie.png');
        $pdf->Ln();
        $pdf->SetY(110);
        $pdf->SetFillColor(58,110,165);
        $pdf->SetTextColor(255, 255,255);
        $pdf->SetFont('GB', 'B', 10);
        $pdf->Cell($dwidth[0], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[1], 7, "Ӫ", 1, 0, 'C', true);
        $pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
        $pdf->Ln();

        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetFont('GB', '', 10);

        foreach($yy_rows as $key=>$val){
            $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
            $pdf->Cell($dwidth[1], 7, $val['cname'], 1, 0, 'C');
            $pdf->Cell($dwidth[2], 7, dataformat((double)$val['upbytes']), 1, 0, 'C');
            $pdf->Cell($dwidth[3], 7, dataformat((double)$val['downbytes']), 1, 0, 'C');
            $pdf->Cell($dwidth[4], 7, dataformat((double)$val['upbytes']+(double)$val['downbytes']), 1, 0, 'C');

            $pdf->Ln();
        }
        unset($output);
        unset($xlabels);
        unset($yvalues);
    }
}

$output = array();
$xlabels = array();
$yvalues = array();
if (file_exists(TEMP_FILE."/urlpie_list.txt"))
    $output = file(TEMP_FILE."/urlpie_list.txt");

$now = strtotime("now");
$yes = $now - 24 * 3600;
$tbname = date("Ymd", $yes);

if ($hours == 168)
	$tbname = "week";
else if ($hours == 720)
	$tbname = "month";
	
$conn = mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
$cmd = "select id, cname, upbytes, downbytes from urlpie.$tbname";
$rlt = mysql_query($cmd);
$numrows = mysql_num_rows($rlt);

if ($numrows > 0){
    $pdf->AddPage();
    $pdf->SetFont('GB', 'B', 14);
    $pdf->Cell(40, 10, 'ֲ');
    $pdf->Ln();
    $pdf->Ln();

    $all_zero = 0;

    while ($ds = mysql_fetch_row($rlt)) {
        array_push($xlabels, $ds[1]);
        array_push($yvalues, (double)$ds[2]+(double)$ds[3]);

        if ($ds[2] == 0 && $ds[3] == 0)
            $all_zero++;
    }
	
    $graph = new PieGraph(600,370);
    $graph->legend->SetFont(FF_SIMSUN,FS_NORMAL);

    $p1 = new PiePlot($yvalues);
    $p1->SetSize(0.4);
    $p1->SetCenter(0.35,0.45);
    $p1->SetLegends($xlabels);
    $p1->SetSliceColors($arcolors);
    $graph->Add($p1);

    if ($all_zero != $numrows) {
        $graph->Stroke($doc."/download/urlpie.png");

        $pdf->Image($doc.'/download/urlpie.png', $pdf->GetX(), $pdf->GetY(), 200, 100);
        unlink($doc.'/download/urlpie.png');
        $pdf->Ln();
        $pdf->SetY(130);
        $pdf->SetFillColor(58,110,165);
        $pdf->SetTextColor(255, 255,255);
        $pdf->SetFont('GB', 'B', 10);
        $pdf->Cell($dwidth[0], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[1], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[2], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[3], 7, "", 1, 0, 'C', true);
        $pdf->Cell($dwidth[4], 7, "", 1, 0, 'C', true);
        $pdf->Ln();

        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetFont('GB', '', 10);

		$rlt = mysql_query($cmd);
        while ($ds = mysql_fetch_row($rlt)) {
            $pdf->Cell($dwidth[0], 7, $key+1, 1, 0, 'C');
            $pdf->Cell($dwidth[1], 7, $ds[1], 1, 0, 'C');
            $pdf->Cell($dwidth[2], 7, dataformat((double)$ds[2]), 1, 0, 'C');
            $pdf->Cell($dwidth[3], 7, dataformat((double)$ds[3]), 1, 0, 'C');
            $pdf->Cell($dwidth[4], 7, dataformat((double)$ds[2]+(double)$ds[3]), 1, 0, 'C');

            $pdf->Ln();
        }
    }
	
	mysql_close($conn);
	
    unset($output);
    unset($xlabels);
    unset($yvalues);
}
if ($hours == 24)
    $pdf->Output($tempfile_dir.'/'.date('Ymd', strtotime('-1 hours')).'_day.pdf');
else if ($hours == 168)
    $pdf->Output($tempfile_dir.'/'.date('Ymd', strtotime('-1 hours')).'_week.pdf');
else if ($hours == 720)
    $pdf->Output($tempfile_dir.'/'.date('Ymd', strtotime('-1 hours')).'_month.pdf');
?>