function iptoappwin(devid, ip, chartype, color, starttime, endtime, appid)
{
    var divs = config.trendiv++;

    $("<div id='iptoappwin_win"+divs+"'></div>").appendTo("body");

    $('#iptoappwin_win'+divs).load('../Flow/iptoapp.php', {ip:ip, trendiv:divs}, function(){
        setWinpos("iptoappwin_win"+divs, 750, 700, "iptoappwin_con"+divs);

        $('#iptoappwin_win'+divs).css('z-index', config.zindex++);

        ip_appinfo(devid, divs, ip, chartype, starttime, endtime, "ipshowapp_detail"+divs, appid);
    });
}

function ip_appinfo(devid, divs, ip, chartype, starttime, endtime, render, appid)
{
    var tableid = 'ipappinfo-'+divs;
    var tb = '';

    tb = '<div class="topapp-list-table" style="margin-top:0px;">'+
        '<table id="'+tableid+'" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>'+
        '<tr>'+
        '<th class="td-left-first" width="50px">序号</th>'+
        '<th class="td-normal">协议名称</th>'+
        '<th class="td-normal">上行流量(Byte)</th>'+
        '<th class="td-normal">下行流量(Byte)</th>'+
        '<th class="td-normal">总流量(Byte)</th>'+
        '<th class="td-left-last" width="70px"></th>'+
        '</tr>';
    tb += '</table></div>';
    $('#'+render).html(tb);

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../Flow/ipapplist.php',
        dataType:'json',
        data:{devid:devid, ip:ip, tmstart:starttime, type:chartype, tmend:endtime, errname:errname, appid:appid},
        success:function(json){
            var r;
            for (i = 0; i < json.rows.length; i++){
                r = json.rows[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                tb = '<tr class="'+trbg+'">' +
                    '<td class="td-left-first">'+(i+1)+'</td>'+
                    '<td class="td-normal">'+ r.cname+'</td>'+
                    '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                    '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                    '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                    '<td class="td-left-last"><a href="javascript:appandip_trendwin('+devid+', \''+ip+'\', \''+ r.name+'\', \''+ r.cname+'\''+
                    ', \'\', \''+starttime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.cname+'-流量趋势图" /></a></td>'+
                    '</tr>';
                '</tr>';
                $(tb).appendTo('#'+tableid);
            }
            load_hide();
        }
    });
}

function appandip_trendwin(devid, ipaddr, name, cname, color, starttime, endtime)
{
    $("<div id='appandip_trendwin"+name+"'></div>").appendTo("body");

    $('#appandip_trendwin'+name).load('../App/appandip_trendwin.php', {cname:cname, name:name, ipaddr:ipaddr}, function(){
        setWinpos("appandip_trendwin"+name, 750, 580, "appandip_trendwin_con"+name);

        $('#appandip_trendwin'+name).css('z-index', config.zindex++);

        appandip_trenddata(devid, ipaddr, name, cname, '#006594', starttime, endtime);
    });
}
function appandip_trenddata(devid, ipaddr, name, cname, color, starttime, endtime)
{
    if (color == ""){
        for (var i = 0; i < config.my_colors_def.length; i++)
            color += config.my_colors_def[i]+',';

        color = color.substr(0, color.length-1);
    }

    var req = /#/g;

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../App/appandiptrend.php',
        data:{devid:devid, ipaddr:ipaddr, tmstart:starttime,
            tmend:endtime, errname:errname, cname:cname, color:color.replace(req, "")},
        type:'post',
        dataType:'json',
        success:function(json){
            appandiptrend(devid, cname, color, "appandiptrendup"+name, starttime, endtime, json.result_up, 'bpsup');
            appandiptrend(devid, cname, color, "appandiptrenddown"+name, starttime, endtime, json.result_down, 'bpsdown');

            load_hide();
        }
    });
}

function appandiptrend(devid, cname, color, render, starttime, endtime, data, chartype)
{
    var title = "";
    var units = 'bits/s';
    if (chartype == "bpsflow") units = "#flowcnt";
    if (color == ""){
        for (var i = 0; i < config.my_colors_def.length; i++)
            color += config.my_colors_def[i]+',';

        color = color.substr(0, color.length-1);
    }

    if (chartype == "bpsup") title = "上行流量趋势图";
    else if (chartype == "bpsdown") title = "下行流量趋势图";
    else title = "连接数趋势图";

    var options = {
        chart:{
            renderTo:render,
            borderRadius:0,
            defaultSeriesType:'area'
        },title:{
            text:title,
            style:{fontSize:'14px'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:80,
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:units
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
            }
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
        },plotOptions:{
            area:{stacking:'normal',lineWidth:0,marker:{enabled:false}}
        },credits:{enabled:false},
        tooltip:{
            formatter:function(){
                return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
            }
        },series:[]
    }

    options.series = data;
    new Highcharts.Chart(options);
}

function apptrendwin(devid, linkid, name, cname, chartype, color, starttime, endtime)
{
    $("<div id='apptrendwin_win"+name+"'></div>").appendTo("body");

    $('#apptrendwin_win'+name).load('../App/apptrendwin-html.php', {cname:cname, name:name}, function(){
        setWinpos("apptrendwin_win"+name, 750, 700, "apptrendwin_con"+name);

        $('#apptrendwin_win'+name).css('z-index', config.zindex++);

        apptrend_data(devid, linkid, name, cname, 'bpsflow', '#006594', 0, 1, starttime, endtime);
    });
}

function apptoipwin(devid, linkid, name, cname, chartype, color, starttime, endtime)
{
    $("<div id='apptoipwin_win"+name+"'></div>").appendTo("body");

    $('#apptoipwin_win'+name).load('../App/apptoip.php', {cname:cname, name:name}, function(){
        setWinpos("apptoipwin_win"+name, 750, 700, "apptoipwin_con"+name);

        $('#apptoipwin_win'+name).css('z-index', config.zindex++);

        $("#appshowip_detail"+name).height($("#apptoipwin_con"+name).height());

        _app_ip_info(devid, name, cname, starttime, endtime, 'appshowip_detail'+name);
    });
}

function _app_ip_info(devid, name, cname, starttime, endtime, render)
{
    var tableid = 'appipinfo-'+name;
    var tb = '';

    $("#"+tableid).parents(".topapp-list-table").remove();
    tb = '<div class="topapp-list-table" style="margin-top:0px;">'+
                '<table id="'+tableid+'" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>'+
                '<tr>'+
                '<th class="td-left-first" width="50px">序号</th>'+
                '<th class="td-normal">用户地址</th>'+
                '<th class="td-normal">用户账号</th>'+
                '<th class="td-normal">上行流量(Byte)</th>'+
                '<th class="td-normal">下行流量(Byte)</th>'+
                '<th class="td-left-last">总流量(Byte)</th>'+
                '</tr>';
    tb += '</table></div>';
    $('#'+render).html(tb);

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../App/appiplist.php',
        dataType:'json',
        data:{devid:devid, name:name, tmstart:starttime, tmend:endtime, errname:errname},
        success:function(json){
            var r;
            for (i = 0; i < json.result.length; i++){
                r = json.result[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                if (r.account == '$') r.account = '';

                tb = '<tr class="'+trbg+'">'+
                    '<td class="td-left-first">'+(i+1)+'</td>'+
                    '<td class="td-normal">'+ r.ip+'</td>'+
                    '<td class="td-normal">'+ r.account+'</td>'+
                    '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                    '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                    '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                    '</tr>';
                $(tb).appendTo('#'+tableid+' tbody');
            }
            
            load_hide();
        }
    });
}

function appinfo_init(hours)
{
    var d = new Date();
    var d2 = d - hours * 1000 * 3600;
    d2 = new Date(d2);

    var devid = 0;
    var linkid = 0;
    var starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
    var endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
    var cname = $("#appinfo-cname").val();
    var name = $("#appinfo-name").val();

    /*
    设置时间
     */
    $("#hid_starttime").val(starttime);
    $("#hid_endtime").val(endtime);
    $("#hid_devid").val(devid);

    apptrend_data(0, 0, name, cname, 'bpsflow', '#006594', 1, hours, starttime, endtime);
}

function appinfo_son_checkout()
{
    var devid = "";
    $('input[name="device"]').each(function(){
        if ($(this).attr("checked"))
            devid += $(this).val()+',';
    });
    devid = devid.substr(0, devid.length -1);
    if (devid == "") devid = 0;

    var linkid = $("#linkid").val();
    var cname = $("#appinfo-cname").val();
    var name = $("#appinfo-name").val();
    var chartype = $("#chartype").val();

    var startyear = $("#startyear").val();
    var startmonth = $("#startmonth").val();
    var startdate = $("#startdate").val();
    var starthour = $("#starthour").val();
    var startminute = $("#startminute").val();
    var startsec = $("#startsec").val();
    var endyear = $("#endyear").val();
    var endmonth = $("#endmonth").val();
    var enddate = $("#enddate").val();
    var endhour = $("#endhour").val();
    var endminute = $("#endminute").val();
    var endsec = $("#endsec").val();

    starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
    endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

    $("#hid_starttime").val(starttime);
    $("#hid_endtime").val(endtime);
    $("#hid_devid").val(devid);

    apptrend_data(devid, linkid, name, cname, 'bpsflow', '#006594', 1, 1, starttime, endtime);
}

function apptrend_data(devid, linkid, name, cname, chartype, color, hours, last, starttime, endtime)
{
    if (last == 0){
        var d = new Date();
        var d2 = d - hours * 1000 * 3600;
        d2 = new Date(d2);

        var devid = 0;

        starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
        endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
    }

    if (color == ""){
        for (var i = 0; i < config.my_colors_def.length; i++)
            color += config.my_colors_def[i]+',';

        color = color.substr(0, color.length-1);
    }

    var req = /#/g;

    if ($("#apptrendup"+name).length == 0)
        return false;

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.ajax({
        url:'../App/apptrend.php',
        data:{devid:devid, linkid:linkid, tmstart:starttime,
            tmend:endtime, type:chartype, errname:errname, cname:cname, color:color.replace(req, "")},
        type:'post',
        dataType:'json',
        success:function(json){
            apptrend(devid, linkid, cname, "bpsup", color, "apptrendup"+name, hours, last, starttime, endtime, json.result_up);
            apptrend(devid, linkid, cname, "bpsdown", color, "apptrenddown"+name, hours, last, starttime, endtime, json.result_down);
            apptrend(devid, linkid, cname, "bpsflow", color, "apptrendflow"+name, hours, last, starttime, endtime, json.result_flow);

            load_hide();
        }
    });
}

function apptrend(devid, linkid, cname, chartype, color, render, hours, last, starttime, endtime, data)
{
    var title = "";
    var units = 'bits/s';
    if (chartype == "bpsflow") units = "#flowcnt";
    if (color == ""){
        for (var i = 0; i < config.my_colors_def.length; i++)
            color += config.my_colors_def[i]+',';

        color = color.substr(0, color.length-1);
    }

    if (chartype == "bpsup") title = "上行流量趋势图";
    else if (chartype == "bpsdown") title = "下行流量趋势图";
    else title = "连接数趋势图";

    var options = {
        chart:{
            renderTo:render,
            borderRadius:0,
            defaultSeriesType:'area'
        },title:{
            text:title,
            style:{fontSize:'14px'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:80,
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:units
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
            }
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
        },plotOptions:{
            area:{stacking:'normal',lineWidth:0,marker:{enabled:false}}
        },credits:{enabled:false},
        tooltip:{
            formatter:function(){
                return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
            }
        },series:[]
    }

    options.series = data;
    new Highcharts.Chart(options);
}