
function IsDigit(str)
{
	var i;

	if (str == "")
		return false;

	i = 0
	if (str.charAt(0) == '-')
		i = 1

	for (; i < str.length; i++) {
		if (str.charAt(i) < '0' || str.charAt(i) > '9')
			return false;
	}

	return true;
}

function IsChar(str)
{
	if (str == "")
		return false;
    for (i = 0; i < str.length; i++) {
		if (str.charCodeAt(i) >= 255)
			return false;
        }
	return true;
}

function IsDigitIn(str, min, max)
{
	var i;

	if (!IsDigit(str))
		return false;

	if (str >= min && str <= max)
		return true;

	return false;
}

function IsEngString(str)
{
	var i;

	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) >= 'a' && str.charAt(i) <= 'z' ||
		    str.charAt(i) >= 'A' && str.charAt(i) <= 'Z' ||
		    str.charAt(i) >= '0' && str.charAt(i) <= '9') {
			continue;
		}
		else {
			return false;
		}
	}

	return true;
}

function IsIPAddr(str)
{
	var ar;

	ar = str.split(".");
	if (ar.length != 4)
		return false;

	for (i = 0; i < ar.length; i++) {
		if (ar[i] == "") return false;
		if (ar[i] < 0 || ar[i] > 255)
			return false;
	}

	return true;
}

function IsMacAddr(str)
{
	var ar;

	ar = str.split(":");
	if (ar.length != 6)
		return false;

	return true;
}

function IP2Int(str)
{
	var ar;
	var ipval;

	ar = str.split(".");
	ipval = ar[0] * 16777216 + ar[1] * 65536 +
		ar[2] * 256 + ar[3];

	return ipval;
}

function IsValidatePort(str)
{
	var ar;

	ar = str.split("-");

	if (ar.length == 1) {
		if (IsDigitIn(ar[0], 1, 65535))
			return true;
	}

	if (ar.length == 2) {
		if (!IsDigitIn(ar[0], 1, 65535))
			return false;
		if (!IsDigitIn(ar[1], 1, 65535))
			return false;
		if (ar[0] > ar[1])
			return false;

		return true;
	}

	return false;
}

function IsNet(str)
{
	var ar;

	ar = str.split("/");
	if (ar.length != 2) return false;
	if (!IsIPAddr(ar[0])) return false;
	if (!IsDigitIn(ar[1], 1, 32)) return false;

	return true;
}

function IsMAC(str)
{
	var ar;

	ar = str.split(":");
	if (ar.length != 6)
		return false;

	for (i = 0; i < ar.length; i++) {
		if (ar[i].length != 1 && ar[i].length != 2)
			return false;

		for (j = 0; j < ar[i].length; j++) {
			var ch = ar[i].charAt(j);

			if (!((ch >= '0' && ch <= '9') || (ch >= 'a' && ch <= 'f') || (ch >= 'A' && ch <= 'F')))
				return false;
		}
	}

	return true;
}

function IsNetmask(str)
{
	if (!IsIPAddr(str))
		return false;

	var n = str.split(".");
	i = 0;
	while (i < 4) {
		if (n[i] == 255)
			i++;
		else break;
	}

	if (i == 4)
		return true;

	if ((n[i] % 2) != 0)
		return false;

	for (j = i + 1; j < 4; j++) {
		if (n[j] != 0)
			return false;
	}

	return true;
}

function TrimAll(str)
{
	var s="";

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) != ' ') {
			s = s + str.charAt(i);
		}
	}

	return s;
}

function EnableIt(obj, enable)
{
	if (enable) {
		obj.readonly = false;
		obj.style.backgroundColor = 0xffffff;
	}
	else {
		obj.readonly = true;
		obj.style.backgroundColor = 0xd0d0d0;
	}
}

function ShowDialog(url, args, width, height)
{
    var attr = "dialogWidth:" + width + "px;" +
	           "dialogHeight:" + height + "px;" +
               "edge:raised;status:no;scroll:no;help:no";
    return showModalDialog(url, args, attr);
}

function ShowWindow(url, args, width, height)
{
	var left = (window.screen.width - width) / 2;
	var top  = (window.screen.height - height) / 2;

	if (args == "")
		args = "scrollbars=1,toolbar=0,menubar=0,status=0,location=0";
	else
		args += ",location=0";

	args += ",top=" + top + ",left=" + left + ",height=" + height + ",width=" + width;
	window.open(url, "_blank", args);
}

function ShowPage(page)
{
	document.all(page).style.display = "block";
}

function HidePage(page)
{
	document.all(page).style.display = "none";
}

function OnCancel()
{
	window.close();
}


function OnValidateIP(obj, allowEmpty)
{
        obj.value = TrimAll(obj.value);

        if (obj.value == "" && allowEmpty ||
            obj.value != "" && IsIPAddr(obj.value))
        {
                return true;
        }

        return false;
}

function OnValidateMask(obj, allowEmpty)
{
        obj.value = TrimAll(obj.value);

        if (obj.value == "" && allowEmpty ||
            obj.value != "" && IsNetmask(obj.value))
        {
                return true;
        }

        return false;
}

function IsName(str)
{
	var i;

	if (str == "")
		return false;

	for (i = 0; i < str.length; i++) {
		if (str.charAt(i) == '&' || str.charAt(i) == ',' ||
		    str.charAt(i) == ';' || str.charAt(i) == '?' ||
		    str.charAt(i) == '+' || str.charAt(i) == '=' ||
		    str.charAt(i) == '$' || str.charAt(i) == '%' ||
		    str.charAt(i) == '*' || str.charAt(i) == '!' ||
		    str.charAt(i) == '~') {
			return false;
		}
	}

	return true;
}

function standardtop()
{	
	$.get("../isstandard.php", function(json){
		if (json == "0")
		{
			$("#keyinfo-topimg").html('<a href="javascript:freelicense();void(0);" style="color:#f00;font-weight:bold;text-decoration:none;">免费版</a>');
		}
	});
}

function load_top_html(type)
{
	$("#tophtml").load("../top.php?css="+type, function(){
		setInterval(function(){var s = datecon(); $("#dtime").html(s)}, 60000);
	});
}

var left_bl = 0;
function sh_left()
{
	if (! left_bl){
		$('div.left-div').hide(500);
		left_bl = 1;
		$('#sl-btn').css('background-position', '-12px 0');
	}else if(parseInt(left_bl)){
		$('div#left-div').show(500);
		$('#sl-btn').css('background-position', '0 0');
		left_bl = 0;
	}

}

function numberformats(num)
{
	if (num >= 1024 * 1024 * 1024)
		return Math.round(parseFloat(num/1024/1024/1024)*100)/100+'G';
	else if (num >= 1024 * 1024)
		return Math.round(parseFloat(num/1024/1024)*100)/100+'M';
	else if (num >= 1024)
		return Math.round(parseFloat(num/1024)*100)/100+'K';
	else return Math.round(num*100)/100;
}

function numformats(num)
{
    if (num >= 1024 * 1024 * 1024)
        return Math.round(parseFloat(num/1024/1024/1024)*100)/100+'G';
    else if (num >= 1024 * 1024)
        return Math.round(parseFloat(num/1024/1024)*100)/100+'M';
    else if (num >= 1024)
        return Math.round(parseFloat(num/1000)*100)/100+'K';
    else return Math.round(num*100)/100;
}

function getnumberper(num)
{
	if (num >= 1024 * 1024 * 1024)
		return 'G';
	else if (num >= 1024 * 1024)
		return 'M';
	else if (num >= 1024)
		return 'K';
	else return 'B';
}

function set_tdcolor(id)
{
	var tbtb = document.getElementById(id).getElementsByTagName('tr');
	for (var i = 0; i < tbtb.length; i++){
		if (i % 2 == 0)
			tbtb[i].className = 'add-bak';
	}
}
function validate()
{
	var start, end;
	start = $('#startip').val();
	end = $('#endip').val();

	if (start != '' && !IsIPAddr(start)){
		$('#startip')[0].select();
		return false;
	}
	if (end != '' && !IsIPAddr(end)){
		$('#endip')[0].select();
		return false;
	}
	return true;
}

function filltime(hours)
{
    if (!hours)
        hours = 1;
    var h = "";
    var dt = new Date();
    var dt2 = dt - hours * 3600 * 1000;
    dt2 = new Date(dt2);

    var days = 30;
    var curyear = dt.getFullYear();
    var curmonth = dt.getMonth()+1;
    var curdate = dt.getDate();
    var curhour = dt.getHours();
    var curminute = dt.getMinutes();
    var curyear2 = dt2.getFullYear();
    var curmonth2 = dt2.getMonth()+1;
    var curdate2 = dt2.getDate();
    var curhour2 = dt2.getHours();
    var curminute2 = dt2.getMinutes();

    switch(curmonth)
    {
        case 1: days = 31;
            break;
        case 2: days = 28;
            break;
        case 3: days = 31;
            break;
        case 4: days = 30;
            break;
        case 5: days = 31;
            break;
        case 6: days = 30;
            break;
        case 7: days = 31;
            break;
        case 8: days = 31;
            break;
        case 9: days = 30;
            break;
        case 10: days = 31;
            break;
        case 11: days = 30;
            break;
        case 12: days = 31;
            break;
    }

    for (var i = 2005; i <= 2015; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startyear");
        $(h).appendTo("#endyear");
    }

    for (var i = 1; i <= 12; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startmonth");
        $(h).appendTo("#endmonth");
    }

    for (var i = 1; i <= days; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startdate");
        $(h).appendTo("#enddate");
    }

    for (var i = 0; i <= 23; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#starthour");
        $(h).appendTo("#endhour");
    }

    for (var i = 0; i <= 59; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startminute");
        $(h).appendTo("#endminute");
    }

    for (var i = 0; i <= 59; i++)
    {
        h = "<option value='"+i+"'>"+i+"</option>";
        $(h).appendTo("#startsec");
        $(h).appendTo("#endsec");
    }

    $("#startyear").val(curyear2);
    $("#startmonth").val(curmonth2);
    $("#startdate").val(curdate2);
    $("#starthour").val(curhour2);
    $("#startminute").val(curminute2);

    $("#endyear").val(curyear);
    $("#endmonth").val(curmonth);
    $("#enddate").val(curdate);
    $("#endhour").val(curhour);
    $("#endminute").val(curminute);

    /********************************************/
    $("#startmonth").change(function(){
        var monstart = $(this).val();
        $("#startdate").html('');

        switch(parseInt(monstart)){
            case 1: days = 31;
                break;
            case 2: days = 28;
                break;
            case 3: days = 31;
                break;
            case 4: days = 30;
                break;
            case 5: days = 31;
                break;
            case 6: days = 30;
                break;
            case 7: days = 31;
                break;
            case 8: days = 31;
                break;
            case 9: days = 30;
                break;
            case 10: days = 31;
                break;
            case 11: days = 30;
                break;
            case 12: days = 31;
                break;
        }
        for (var i = 1; i <= days; i++){
            h = "<option value='"+i+"'>"+i+"</option>";
            $(h).appendTo("#startdate");
            //$(h).appendTo("#enddate");
        }
    });

    $("#endmonth").change(function(){
        var monend = $(this).val();
        $("#enddate").html('');

        switch(parseInt(monend)){
            case 1: days = 31;
                break;
            case 2: days = 28;
                break;
            case 3: days = 31;
                break;
            case 4: days = 30;
                break;
            case 5: days = 31;
                break;
            case 6: days = 30;
                break;
            case 7: days = 31;
                break;
            case 8: days = 31;
                break;
            case 9: days = 30;
                break;
            case 10: days = 31;
                break;
            case 11: days = 30;
                break;
            case 12: days = 31;
                break;
        }
        for (var i = 1; i <= days; i++){
            h = "<option value='"+i+"'>"+i+"</option>";
            $(h).appendTo("#enddate");
        }
    });
}
function bind_bottom_cls(id)
{
    var i, o;
    var len = $("#"+id+" .blank_gr").children('div').length;

    for (i = 0; i < len; i++){
        o = $("#"+id+" .blank_gr").children('div').eq(i);
        if (o.attr("id") == "exit")
            continue;
        o.mouseover(function(){$(this).addClass('big-button-mouse-over')});
        o.mouseout(function(){$(this).removeClass('big-button-mouse-over')});
        o.click(function(){
            for (i = 0; i < len; i++){
                o = $("#"+id+" .blank_gr").children('div').eq(i);
                if (o.hasClass("big-button-mouse-click")) {
                    o.removeClass("big-button-mouse-click");
                    o.addClass("big-button");
                }
            }
            $(this).addClass('big-button-mouse-click');
        });
    }
}
function small_bt_over()
{
	$('td.popup-bar-right').mouseover(function(){
		$(this).addClass('small-button-mouseover');
	});
	$('td.popup-bar-right').mouseout(function(){
		$(this).removeClass('small-button-mouseover');
	});
	
	$(".big-button-mouse-click").mousedown(function(){
		$(this).addClass("big-button-mousedown");	
	});
	$(".big-button-mouse-click").mouseup(function(){
		$(this).removeClass("big-button-mousedown");	
	});

	$('#exit').mouseover(function(){
		$(this).addClass('exits-over');
	})
	$('.exit').mouseout(function(){
		$(this).removeClass('exits-over');
	});
	
	$('.confirm').mouseover(function(){
		$(this).addClass('confirm-mouseover');
	})
	
	$('.confirm').mouseout(function(){
		$(this).removeClass('confirm-mouseover');
	});
}

function setWinpos(id, w, h, conid)
{
	var top = 0;
	var outer_h = 0;
	var width= document.body.clientWidth;
	var height = document.body.clientHeight;

	var body_h = $(window).height();

	if (body_h > h)
		outer_h = h;
	else outer_h = body_h;

	top = (body_h - outer_h)/2 + $(document).scrollTop();

	$('#'+id).css('position', 'absolute');
	$('#'+id).css('left', ((width-w-177)/2) +'px');
	$('#'+id).css('top', top +'px');

	$('#'+id).css('width', w+'px');
	$('#'+id).css('height', outer_h+'px');

	$('#'+conid).css('border', '2px solid #3AA4D4');
	$('#'+conid).css('border-bottom', 'none');
	
	$('#'+conid).css("background", "fff");
	$('#'+conid).css('width', (w-4)+'px!important;');
		
	$('#'+conid).css('height', (outer_h-25-30)+'px');
	$('#'+conid).css('background', '#fff');
	$('#'+conid).css('overflow-y', 'auto');
	$('#'+conid).css('overflow-x', 'hidden');
	$('#'+conid).css('text-align', 'left');

	$('#'+id+' .blank_gr').css('width', (w-4)+'px!important;');
	$('#'+id+' .blank_gr').css('height', '30px');
	
	$('#'+id).css('display', 'block');

    $("#"+id+" .popup-bar-right-close").click(function(){
        $("#"+id).remove();
    });
    $("#"+id).find("#exit").click(function(){
        $("#"+id).remove();
    });

    $('.bridge-head').mousedown(function(){$(this).parent().css('z-index', config.zindex++);});

    $("#"+id).draggable({cursor:'move',handle:'div.bridge-head,div.blank_gr',stop:function(){
        if (parseInt($(this).css("top")) < 0) $(this).css("top", 0);
    }});

    small_bt_over();
    bind_bottom_cls(id);
}

function popwindow_tips(tips)
{
	if ($(".popwindow-tips"))
		$(".popwindow-tips").remove();
		
	$("<div class='popwindow-tips'>"+tips+"</div>").appendTo("body");
	$(".popwindow-tips").css('left', ($(window).width()-240)/2 + 'px');
	$(".popwindow-tips").css('top', ($(window).height()-55)/2+$(document).scrollTop() + 'px');
	$(".popwindow-tips").css('z-index', 100000);
	$(".popwindow-tips").fadeIn('slow');
	setTimeout(function(){$(".popwindow-tips").fadeOut('slow');}, 2000);
}

function setlang(zh)
{
	$.get("../config.php", {lang:zh}, function(json){
		location.reload();
	})
}

function sethostname()
{
	$.get("../Maintain/sysname.php?type=0", function(json){
		var md;
		eval("md="+json);
		document.title = md.sysname;
	});
}

function logout()
{
	$.get("../logout.php", function(json){
		location.href = "../index.php";
	});
}

function datecon()
{
	var d, day, x, s = "";
	var ds, mon, h, mi;
	
	var x = new Array("星期日", "星期一", "星期二");
	var x = x.concat("星期三","星期四", "星期五");
	var x = x.concat("星期六");
	
	d = new Date();
	day = d.getDay();

	if (d.getDate() < 10)
		ds = "0" + d.getDate();
	else ds = d.getDate();
	
	if ((d.getMonth()+1) < 10)
		mon = "0" + (d.getMonth()+1);
	else mon = (d.getMonth()+1);
	
	if (d.getHours() < 10)
		h = "0" + d.getHours();
	else h = d.getHours();
	
	if (d.getMinutes() < 10)
		mi = "0" + d.getMinutes();
	else mi = d.getMinutes();

	s += d.getFullYear() +'-'+ mon + '-'+ ds + ' ' + h + ':' + mi + ' ' + x[day];
	
	return s;
}

function closewin(id)
{
	$('#'+id).remove();
}

function killprocess(filename)
{
	$.getJSON("../kill.php", {file:filename}, function(json){
		popwindow_tips(json.str);
	});
}

function createrightbox()
{
	var mon, dat, hours, minute, second;
	
	$.get("../sysinfo.php", function(data){
		if (data == "" || data == null) 
			return false;
			
		var htl = "<div id='rightbox-d'>";
		htl += "<div id='rightbox-head'>";
		htl += "<div style='float:left;vertical-align:middle;line-height:25px;'><img src='../img/73.png' style='margin:5px 5px 0 0;' /></div>";
		htl += "<div style='float:left;vertical-align:middle;line-height:25px;font-family:微软雅黑,arial'>系统提示</div>";
		htl += "<div style='float:right'><a href='javascript:closerightbox();void(0)'>"+
			"<img src='../img/icon-closeC.png' border='0' title='关闭' style='margin:5px 5px 0 0;'></a></div>";
		htl += "</div>";
		htl += "<div id='rightbox-con'></div>";
		htl += "</div>";
	
		$(htl).appendTo("body");
		
		$('#rightbox-d').draggable({cursor:'move',handle:'div.rightbox-head'});

		var sys = data.split(';');
		var dt = new Date();
		
		if ((dt.getMonth()+1) < 10)
			mon = '0'+(dt.getMonth()+1);
		else mon = (dt.getMonth()+1);
		if (dt.getDate() < 10)
			dat = '0'+dt.getDate();
		else dat = dt.getDate();
		if (dt.getHours() < 10)
			hours = '0'+dt.getHours();
		else hours = dt.getHours();
		if (dt.getMinutes() < 10)
			minute = '0'+dt.getMinutes();
		else minute = dt.getMinutes();
		if (dt.getSeconds() < 10)
			second = '0'+dt.getSeconds();
		else second = dt.getSeconds();
		
		var fullyear = dt.getFullYear()+'/'+mon+'/'+dat+' '+hours+':'+minute+':'+second;
		
		var tbcon = "<table style='width:100%;height:100px;'>";
		tbcon += "<tr><td width='10px'></td><td align='left'>"+sys[0]+"</td></tr>";
		tbcon += "<tr><td width='10px'></td><td align='left'>"+sys[1]+"</td></tr>";
		tbcon += "<tr><td width='10px'></td><td align='left'>"+sys[2]+"</td></tr>";
		tbcon += "<tr><td width='10px'></td><td align='left'>本地时间："+fullyear+"</td></tr>";
		tbcon += "</table>";
		
		$("#rightbox-con").html(tbcon);
	});
}

function closerightbox()
{
	$("#rightbox-d").hide();
}
function kill_logeye()
{
    $.ajax({
        url:'../kill.php',
        success:function(data){
            clearInterval(intervalid);
        }
    });
}
function load_show()
{
    var height = $(window).height();
    var width = $(window).width();
    var w = 200;
    var h = 30;
    var left = (width - w - 177)/2;
    var top = (height - h - 60)/2;

	$("<div class='load-panel'>"+
        "<div class='load-panel-inner' style='position:absolute;left:"+left+"px;top:"+top+"px;width:"+w+"px;"+
        "text-align:center;background:#000;border:1px solid #000;color:#fff;padding:5px 0;'>操作中，请稍候...</div>"+
        "<div style='position:absolute;left:"+(left+190)+"px;top:"+(top-8)+"px;width:20px;text-align:center;height:20px;'>"+
        "<a href='javascript:kill_logeye()'><img src='../img/cancel.png' /></a></div>"+
        "</div>").appendTo("body");
}
function load_hide()
{
	$(".load-panel").remove();
}

var intervalid;
function get_status(errname)
{
    intervalid=setInterval(function(){
        $.ajax({
            url:'../error.php',
            data:{errname:errname},
            type:'post',
            dataType:'json',
            success:function(json){
                if (json.yn == "yes"){
                    if (json.str != "")
                    $(".load-panel-inner").html('<img src="../img/loading.gif" /><br/>'+json.str);
                }else if (json.yn == "no"){
                    clearInterval(intervalid);
                }
            }
        });
    }, 500);
}

var config = {
    zindex:1000,
    curtab:'up',
    iptrendtab:'bpsup',
    trendiv:0,
    loadingstr: "<div style='margin:0 auto;padding-top:100px;'><img src='../img/upload.gif' /></div>",
    my_colors_def: ["#068BC5","#4EB133","#E6561C","#E6EB01","#24C8E3","#62E172","#F7EE64","#69F5C3","#ACDBFD","#C6C9CA", "#F68F67","#CDE577","#710000","#5D584B","#4572A7"]
}